{ pkgs
, lib
, config
, ... }: with lib; let
  cfg = config.home.minecraft;
in {
  options.home.minecraft = {
    enable = mkEnableOption "minecraft game launcher and jvm";
  };

  config = {
    users.homeModules = [
      # this module passes minecraft configuration to home-manager
      { passthrough.minecraft = cfg; }
    ];

    users.home.persist.directories = mkIf cfg.enable [ ".local/share/PrismLauncher" ];
  };
}
