{ pkgs
, lib
, ... }: {
  faucet = {
    id = "bc8036643fc24f04ab150ff6a38dcce7";
    auth.openssh.enable = true;
    fs.esp.uuid = "B20E-5994";
    fs.type = "xfs";
    fs.store = "e8eea851-51b0-4c29-80c4-3d9358c4f3f8";
    fs.extPersist.enable = true;
    fs.extPersist.device = "/dev/disk/by-uuid/f0e13b58-1223-479c-b673-3a8e629c7f72";
    fs.extPersist.fsType = "ext4";
    fs.cryptsetup.enable = true;
    fs.cryptsetup.uuids.nix = "84baa53a-c76d-4716-813a-196f5a53e44d";
    fs.cryptsetup.uuids.persist = "e31f8b1c-6504-4b43-93dd-997ad17ebf5e";
    boot.lanzaboote = true;
    gui.enable = true;
    gui.type = "prime";
    asusd.enable = true;
  };

  home = {
    minecraft.enable = true;
  };

  hardware.nvidia.prime = {
    amdgpuBusId = "PCI:6:0:0";
    nvidiaBusId = "PCI:1:0:0";
  };

  imports = lib.pipe ./. [
    builtins.readDir
    (lib.filterAttrs (n: ty: ty == "regular" && n != "default.nix"))
    (lib.mapAttrsToList (n: _: ./${n}))
  ];

  hardware.enableRedistributableFirmware = true;
  boot.initrd.availableKernelModules = [ "xhci_pci" "nvme" "ahci" "sd_mod" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ "kvm-amd" ];
  boot.extraModulePackages = [ ];
}
